### Lab 4 - Windows Memory Dump 



For this lab we are going to analyse the memory dump obtained from a Stuxnet infected computer. 

Volatilty usage for Windows memory dump is similar to that of linux. 

Make sure that you're in the right directory 
- cd ~/memoryanalysis 

1. Identify the profile to use 

- volatility -f stuxnet.vmem imageinfo
- sample output: 
```
Suggested Profile(s) : WinXPSP2x86, WinXPSP3x86

```


2. Use the suggested profile for your analysis (i.e. profile=)
   - note that the commands for Windows memory dump is different from Linux eventhough they might be doing the same thing. 

	```
    volatility -f stuxnet.vmem --profile=WinXPSP2x86 pstree 

	```
3. The malicious process in this memory dump is pid 680, 868, and 1928. Can you identify it with pslist? When was the process started 

```
volatility -f stuxnet.vmem --profile=WinXPSP2x86 pslist | more

```

4. We can scan the memory with Yara 

```
volatility -f stuxnet.vmem --profile=WinXPSP2x86 yarascan -y malware_rules.yar

```

5. Bonus, can you dump the process to a file. Then calculate the hash of the file and check the hash on Virustotal? 

- hint: you can use the command malfind with volatility 


eof. 
